> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.salamoonder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Interstitial

> Each request in this task is priced at only €0.0023.

## Create Task

Create the task with the [createTask](https://apidocs.salamoonder.com/endpoint/createTask) endpoint, or use our [Software Development Kit ](https://apidocs.salamoonder.com/sdk/official)to make your integration process even easier!

### Task Structure

| **Property**   | **Type** | **Required** |
| -------------- | :------: | :----------: |
| `type`         |  String  |      Yes     |
| `captcha_url`  |  String  |      Yes     |
| `user_agent`   |  String  |      No      |
| `country_code` |  String  |      No      |

You can send your own user agent for this task. If you skip it, the system picks a random one. If you do send one, make sure it’s a Chrome on Windows user agent, since those have worked best. The country\_code should be a two-letter string like `us`, `gb`, `de`.

<Accordion title="These user agents have given our users the best results.">
  Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/139.0.0.0 Safari/537.36

  Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/140.0.0.0 Safari/537.36

  Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/141.0.0.0 Safari/537.36

  Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/142.0.0.0 Safari/537.36
</Accordion>

### Example Request

```json theme={null}
POST https://salamoonder.com/api/createTask
Host: salamoonder.com
Content-Type: application/json

{
    "api_key": "YOUR_API_KEY",
    "task": {
        "type": "DataDomeInterstitialSolver",
        "captcha_url": "https://geo.captcha-delivery.com/interstitial/...",
    	"user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebK...",
		"country_code": "us"
    }
}
```

Upon successfully submitting the task to us, you should receive a ‘taskId’ in the response.

### Example Response

```json theme={null}
{
  "error_code": 0,
  "error_description": "",
  "taskId": "d4611a5f-9b4e-4f4a-94a2-8303d97562e1"
}
```

**Response Fields:**

* `taskId` - Unique identifier for this task. Use this to retrieve results.

## **Getting Results**

Retrieve the results using the [getTaskResult ](https://apidocs.salamoonder.com/api/gettaskresult-task-result)method. or use our [Software Development Kit ](https://apidocs.salamoonder.com/sdk/official)to make your integration process even easier!

### Example Request

```json theme={null}
POST https://salamoonder.com/api/getTaskResult
Host: salamoonder.com
Content-Type: application/json

{
  "api_key": "YOUR_API_KEY",
  "taskId": "d4611a5f-9b4e-4f4a-94a2-8303d97562e1"
}
```

### Example Response

```json theme={null}
{
  "errorId": 0,
  "solution": {
    "cookie": "datadome=C48qJTvAJO5aKyywWJLtj19PBz372Olif5i6g_d6Qq...",
    "user-agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebK..."
  },
  "status": "ready"
}
```

**Response Fields:**

* `cookie` - Ready-to-set datadome cookie.
* `user-agent` - user-agent that was used to make this payload.

## Quick Start Example

We have examples for all our tasks to streamline integration. Feel free to check them out!

<Card title="Interstitial Examples" icon="sparkles" href="https://apidocs.salamoonder.com/examples#datadome-examples">
  All our Interstitial Examples can be found here!
</Card>
